Ag-grid: TypeScript compiler error in .d.ts files after upgrading to 16.0.0

4

I'm submitting a ... (check one with "x")

[x] bug report => search github for a similar issue or PR before submitting
[ ] feature request
[ ] support request => Please do not submit support request here, instead see https://github.com/ceolter/ag-grid/blob/master/CONTRIBUTING.md#question

Current behavior

When trying to compile my TypeScript project with ag-grid 16.0.0, I get the following compile errors. This appears to be specific to ag-grid-enterprise.

node_modules/ag-grid-enterprise/main.d.ts(35,15): error TS2307: Cannot find module './dist/lib/toolPanel/columnsSelect/columnSelectPanel'.

35 export * from './dist/lib/toolPanel/columnsSelect/columnSelectPanel';
~~~~~~~~~~~~~~

node_modules/ag-grid-enterprise/main.d.ts(36,15): error TS2307: Cannot find module './dist/lib/toolPanel/columnsSelect/renderedColumn'.

36 export * from './dist/lib/toolPanel/columnsSelect/renderedColumn';
~~~~~~~~~~~

node_modules/ag-grid-enterprise/main.d.ts(37,15): error TS2307: Cannot find module './dist/lib/toolPanel/columnsSelect/renderedGroup'.

37 export * from './dist/lib/toolPanel/columnsSelect/renderedGroup';
~~~~~~~~~~

Expected behavior
No compiler errors.

Minimal reproduction of the problem with instructions
Try to compile a TypeScript project that includes ag-grid 16.0.0 and ag-grid-enterprise 16.0.0.

What is the motivation / use case for changing the behavior?
I want to use ag-grid 16.0.0, but cannot use it if it does not compile.

Please tell us about your environment:
Mac OSX
NPM
TypeScript 2.6.2

  • ag-Grid version: 16.0.0

  • Browser:
    Irrelevant

  • Language: TypeScript 2.6.2

UselessPickles picture UselessPickles  ·  25 Jan 2018

Most helpful comment

2

+1

9marta5 picture 9marta5  ·  31 Jan 2018

All comments

2

+1

ijaouani picture ijaouani  ·  26 Jan 2018
2

+1

goncalolucas picture goncalolucas  ·  26 Jan 2018
2

another +1 - node 9, linux, ts 2.6.1

nite picture nite  ·  29 Jan 2018
2

Same problem here using :
angular 4.4.6
@angular/cli: 1.4.4
node: 6.9.1
typescript: 2.1.4

fedeee picture fedeee  ·  29 Jan 2018
2

+1

9marta5 picture 9marta5  ·  31 Jan 2018
1

Also broken with angular cli 1.5.6

joefeser picture joefeser  ·  31 Jan 2018
0

This seems to be fixed in 16.0.1

Framus picture Framus  ·  26 Feb 2018
0

The problem was fixed in 16.0.1

petyosi picture petyosi  ·  6 Mar 2018